# Class SseServerParameters

java.lang.Object
com.google.adk.tools.mcp.SseServerParameters

public abstract class SseServerParameters extends Object
Parameters for establishing a MCP Server-Sent Events (SSE) connection.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SseServerParameters.Builder`
  Builder for `SseServerParameters`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SseServerParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SseServerParameters.Builder`
  `builder()`
  Creates a new builder for `SseServerParameters`.
  `abstract @Nullable com.google.common.collect.ImmutableMap<String,Object>`
  `headers()`
  Optional headers to include in the SSE connection request.
  `abstract @Nullable String`
  `sseEndpoint()`
  The endpoint to connect to on the SSE server.
  `abstract @Nullable Duration`
  `sseReadTimeout()`
  The timeout for reading data from the SSE stream.
  `abstract @Nullable Duration`
  `timeout()`
  The timeout for the initial connection attempt.
  `abstract String`
  `url()`
  The URL of the SSE server.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SseServerParameters

    public SseServerParameters()

- ## Method Details

  - ### url

    public abstract String url()
    The URL of the SSE server.

  - ### sseEndpoint

    public abstract @Nullable String sseEndpoint()
    The endpoint to connect to on the SSE server.

  - ### headers

    public abstract @Nullable com.google.common.collect.ImmutableMap<String,Object> headers()
    Optional headers to include in the SSE connection request.

  - ### timeout

    public abstract @Nullable Duration timeout()
    The timeout for the initial connection attempt.

  - ### sseReadTimeout

    public abstract @Nullable Duration sseReadTimeout()
    The timeout for reading data from the SSE stream.

  - ### builder

    public static SseServerParameters.Builder builder()
    Creates a new builder for `SseServerParameters`.